// Mike Maxim
// ITTree for temp

package edu.cmu.cs.l3.tree;

import edu.cmu.cs.l3.temp.*;

public class IRTemp extends IRExpression {

    public IRTemp(Temp t) {
	m_temp=t;

	m_classname = "IRTemp";
    }

    public Temp getTemp() {
	return m_temp;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList();
    }

    public IRExpression build(IRExpressionList comps) {
	return new IRTemp(m_temp);
    }

    public String toString() {

	return ("[" + super.toString() + ":" + m_temp.toString() + "]");
    }

    private Temp m_temp;
}


